pro make_env_var

  maskparam_struct={objmask_expand_fac:1.,circularmask_expand_fac:1.}
  defsysv,'!IRC_SPECRED_MASKPARAM',maskparam_struct,exist=exist
;  if ~ exist then 
  defsysv,'!IRC_SPECRED_MASKPARAM',maskparam_struct

  plotparam_struct={smooth:0}
  defsysv,'!IRC_SPECRED_PLOTPARAM',plotparam_struct,exist=exist
;  if ~ exist then 
  defsysv,'!IRC_SPECRED_PLOTPARAM',plotparam_struct

  color_struct={black:0,magenta:0,cyan:0,yellow:0,green:0,red:0,blue:0,navy:0, $
                aqua:0,orchid:0,sky:0,beige:0,charcoal:0,grey:0,white:0,pink:0}
  defsysv,'!IRC_SPECRED_COLOR',color_struct,exist=exist
;  if ~ exist then
  defsysv,'!IRC_SPECRED_COLOR',color_struct

  dir_struct={datadir:'',calibdir:'',datadir2:'',tmpdir:'',workdir:''}
  defsysv,'!IRC_SPECRED_DIR',dir_struct,exist=exist
;  if ~ exist then 
  defsysv,'!IRC_SPECRED_DIR',dir_struct
  
  misc_struct={debug:0B,max_n_header:0,first_pass:0}
  defsysv,'!IRC_SPECRED_MISC',misc_struct,exist=exist
;  if ~ exist then
  defsysv,'!IRC_SPECRED_MISC',misc_struct
  
  chipinfo_struct={ncol:0,nrow:0, $
                   saturation_ADU:0.,ADG:0., $
                   exptime:0.,short_long_exposure_rat:0., $
                   fluxconv_fac:0., $
                   pixscale_x:0.,pixscale_y:0., $
                   pixscale_nir_x:0.,pixscale_nir_y:0., $
                   pixscale_mirs_x:0.,pixscale_mirs_y:0., $
                   pixscale_mirl_x:0.,pixscale_mirl_y:0., $
                   ncol_nir:0,nrow_nir:0,ncol_mir:0,nrow_mir:0, $
                   APPHOTORAD:0.,slit_width:0.}
  defsysv,'!IRC_SPECRED_CHIPINFO',chipinfo_struct,exist=exist
;  if ~ exist then
  defsysv,'!IRC_SPECRED_CHIPINFO',chipinfo_struct
  
  processtarget_struct={chip:0,grism:0,targetid:0L,targetsubid:0,filter_spec:'',flat_period:0}
  defsysv,'!IRC_SPECRED_PROCESSTARGET',processtarget_struct,exist=exist
;  if ~ exist then 
  defsysv,'!IRC_SPECRED_PROCESSTARGET',processtarget_struct
  
  processoption_struct={NG_linear_mode:0B, $ ;added by S. Baba, 20160908
                        NP_linear_mode:0B,interactive_skyset_mode:0B,ds9_edit_mode:0B,no_NP_distortion_mode:0B, $
                        rotated_NIR_source_table_mode:0B,no_tune_sourcepos_mode:0B,brightest_10_source_mode:0B, $
                        use_short_refimage_mode:0B,shift_from_file:0B,auto_image_stack:0B, $
                        no_slit_flat:0B,max_source_find:0,no_fov_mask:0B,non_interactive_mode:0B, $
                        simple_skysub_mode:0B, $
                        use_all_images_mode:0B,ext_source_table_mode: 0B, $
                        faint_source_mode:0B,point_remover_mode:0B, $
                        nir_column_pulldown_correction_mode:0B,mir_column_pulldown_correction_mode:0B, $
                        streak_cor_mode:0B,fine_darksub_at_NP_mode:0B,putwcs_mode:0B,warm_mode:0B,mir_fileshift_mode:0B, $
                        no_message_window:0B}
  defsysv,'!IRC_SPECRED_PROCESSOPTION',processoption_struct,exist=exist
;  if ~ exist then
  defsysv,'!IRC_SPECRED_PROCESSOPTION',processoption_struct
  
  areainfo_struct={cor_x1:0,cor_x2:0,cor_y1:0,cor_y2:0,sky_x1:0,sky_x2:0,sky_y1:0,sky_y2:0, $
                   slitmask_x1: 0,slitmask_x2: 0,slitmask_y1: 0,slitmask_y2: 0, $
                   slitmask2_x1:0,slitmask2_x2:0,slitmask2_y1:0,slitmask2_y2:0}
  defsysv,'!IRC_SPECRED_AREAINFO',areainfo_struct,exist=exist
;  if ~ exist then
  defsysv,'!IRC_SPECRED_AREAINFO',areainfo_struct
  
  combineparam_struct={x_cor_box_size:0,y_cor_box_size:0, $
                       spec_combine_mode:'',imag_combine_mode:'',spec_combine_sigma:0B, $
                       crosscor_min_fac:3.,crosscor_max_fac:10000.,crosscor_abs_max:100.}
  defsysv,'!IRC_SPECRED_COMBINEPARAM',combineparam_struct,exist=exist
;  if ~ exist then
  defsysv,'!IRC_SPECRED_COMBINEPARAM',combineparam_struct
  
  skyfitorder_struct={sky_fit_order:0, sky_fit_indiv_order:0,sky_fit_order_n:0,sky_fit_dx:0,sky_fit_dy:0}
  defsysv,'!IRC_SPECRED_SKYFITORDER',skyfitorder_struct,exist=exist
;  if ~ exist then
  defsysv,'!IRC_SPECRED_SKYFITORDER',skyfitorder_struct
  
  sourcedetectparam_struct={fwhm_for_find:0.,min_noise_for_find:0., $
                            find_area_x1:0,find_area_x2:0,find_area_y1:0,find_area_y2:0, $
                            max_n_source:0, $
                            sigma:0.,round:[0.,0.],sharp:[0.,0.]}
  defsysv,'!IRC_SPECRED_SOURCEDETECTPARAM',sourcedetectparam_struct,exist=exist
;  if ~ exist then
  defsysv,'!IRC_SPECRED_SOURCEDETECTPARAM',sourcedetectparam_struct
  
  specdetectparam_struct={flux_thresh:0.,max_fwhm:0.,min_fwhm:0.,max_n_source:0,flux_thresh_for_distortion_measure:0.}
  defsysv,'!IRC_SPECRED_SPECDETECTPARAM',specdetectparam_struct,exist=exist
;  if ~ exist then
  defsysv,'!IRC_SPECRED_SPECDETECTPARAM',specdetectparam_struct
  
  specextractparam_struct={spec_mask_dx_expand_fac_wrt_fwhm:0, $
                           specaper_dx:0,specaper_dy:0,imageaper_dx:0,imageaper_dy:0, $
                           x_offset:0.,y_offset:0., $
                           x_zero_offset:0.,y_zero_offset:0.,spec_mask_dx_min:0,spec_mask_dx_max:0,x_offset_rel:0.}
  defsysv,'!IRC_SPECRED_SPECEXTRACTPARAM',specextractparam_struct,exist=exist
;  if ~ exist then
  defsysv,'!IRC_SPECRED_SPECEXTRACTPARAM',specextractparam_struct
  
  specparam_struct={wavescale:0.,lambda_cen:0.,w_cover:[0.,0.],w_cover_2:[0.,0.], $
                    prism_coef0:0.,prism_coef1:0.,prism_coef2:0.,wave_offset_pix:0.}
  defsysv,'!IRC_SPECRED_SPECPARAM',specparam_struct,exist=exist
;  if ~ exist then
  defsysv,'!IRC_SPECRED_SPECPARAM',specparam_struct
  
  obsparam_struct={AOT:'04',slit_mode:0B,preflight_mode:0B,Np_mode:0B,Nh_mode:0B,Ns_mode:0B,Ls_mode:0B}
  defsysv,'!IRC_SPECRED_OBSPARAM',obsparam_struct,exist=exist
;  if ~ exist then
  defsysv,'!IRC_SPECRED_OBSPARAM',obsparam_struct
  
end
