pro read_wavetable_ng, filename, pos, lambda_1st, lambda_2nd

; S. Baba (20160908)
; This procedure reads the wavelength calibration curve of the NG mode 
; from a text file.
  
  pos=fltarr(2000) & lambda_1st=fltarr(2000) & lambda_2nd=fltarr(2000)
  
  GET_LUN,U & openr,U,filename
    i=0
    while eof(u) eq 0 do begin
       readf,U,x,y,z
       pos[i]=x & lambda_1st[i]=y & lambda_2nd[i]=z
       i=i+1
    endwhile  
  close,U & FREE_LUN,U
  
  pos=pos[0:i-1] & lambda_1st=lambda_1st[0:i-1] & lambda_2nd=lambda_2nd[0:i-1]
  
end
