pro iispec_plot_auto_seq, idlist_file, short=short, error_new=error_new

data_dir = getenv('IRC_SPECRED_DATADIR')

;;list_file = data_dir + 'list.txt'
list_file = data_dir + idlist_file

;;; read ID number and AOT list
;;readcol, list_file, format='A,A,A,A,A', ID, subID, AOTpar1, AOTpar2, spcshift, delimiter=',', COMMENT='#', /silent
readcol, list_file, format='A,A,A,A', ID, subID, AOTpar1, AOTpar2,delimiter=',', COMMENT='#', /silent

ID    = long(ID)
subID = long(subID)
;;spcshift = long(spcshift)

source_id = 0

error_flag = 'old'
IF keyword_set(error_new) THEN error_flag = 'new'

;;; execute toolkit 
i=0
REPEAT BEGIN

;-----------------------------------------------------------------------------------------
;  output    
;;   print,'Output ASCII spectrum of ' + strtrim(string(ID[i]),2) +
;;   '.' + strtrim(string(subID[i]),2) + ', space_shift=' +
;;   strtrim(string(spcshift[i]),2)
   print,'Output ASCII spectrum of ' + strtrim(string(ID[i]),2) + '.' + strtrim(string(subID[i]),2)

;;   ii = spcshift[i]

;;;;;   for ii = -10, 10, 1 do begin

   for ii = -3, 3, 1 do begin
;;;   for ii = 0, 0, 1 do begin

      nsum = 7
;;;     nsum = 15

      IF keyword_set(short) THEN BEGIN

         title_id = strtrim(string(ID[i]),2) + '.' + strtrim(string(subID[i]),2) + '.' + strtrim(string(source_id),2) + '  (space_shift=' + string(ii, format='(i+03)') + ')' + ' short'

;;         ASCII = 'seq.' + strtrim(error_flag,2) + '.space_shift='+ string(ii, format='(i+03)') + '.short'
;;         PNG   = 'seq.' + strtrim(error_flag,2) + '.space_shift='+ string(ii, format='(i+03)') + '.short'

         ASCII = 'test.space_shift='+ string(ii, format='(i+03)') + '.short'
         PNG   = 'test.space_shift='+ string(ii, format='(i+03)') + '.short'

         if AOTpar1[i] eq 'a' then begin
            iispec_plot, ID[i], subID[i], source_id,      /with_image, space_shift=ii, nsum=nsum, /med, PNG=PNG, ascii=ascii, title=title_id, /short, error_new=error_new
         endif

         if AOTpar1[i] eq 'b' then begin
            iispec_plot, ID[i], subID[i], source_id, /NG, /with_image, space_shift=ii, nsum=nsum, /med, PNG=PNG, ascii=ascii, title=title_id, /short, error_new=error_new
         endif

      ENDIF ELSE BEGIN

         title_id = strtrim(string(ID[i]),2) + '.' + strtrim(string(subID[i]),2) + '.' + strtrim(string(source_id),2) + '  (space_shift=' + string(ii, format='(i+03)') + ')'

;;         ASCII = 'seq.' + strtrim(error_flag,2) + '.space_shift='+ string(ii, format='(i+03)')
;;         PNG   = 'seq.' + strtrim(error_flag,2) + '.space_shift='+ string(ii, format='(i+03)')

         ASCII = 'test.space_shift='+ string(ii, format='(i+03)')
         PNG   = 'test.space_shift='+ string(ii, format='(i+03)')

         if AOTpar1[i] eq 'a' then begin
            iispec_plot, ID[i], subID[i], source_id,      /with_image, space_shift=ii, nsum=nsum, /med, PNG=PNG, ascii=ascii, title=title_id, error_new=error_new
         endif

         if AOTpar1[i] eq 'b' then begin
            iispec_plot, ID[i], subID[i], source_id, /NG, /with_image, space_shift=ii, nsum=nsum, /med, PNG=PNG, ascii=ascii, title=title_id, error_new=error_new
         endif

      ENDELSE

   endfor

   i=i+1

ENDREP UNTIL i EQ N_ELEMENTS(ID) 


END
